%define req_gnome_doc_utils_version 0.19.1

Summary:	GNOME 2 help browser
Name:		yelp
Version:	2.30.2
Release:	%mkrel 6
# fwang: source0 was a merge of upstream webkit and gnome-2-30 branch
# git clone git://git.gnome.org/yelp
# cd yelp
# git checkout webkit
# git merge origin/gnome-2-30
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:	yelp.png
# from Fedora: register docbook mime type for yelp
Patch2:		yelp-2.13.2-add-mime-handling.patch
# (fc) 2.4.2-4mdk strip newline from title 
Patch4:		yelp-2.6.0-title.patch
Patch5:		yelp-2.30.2-xz-support.patch
Patch6:		yelp-missing-slash.patch
Patch7:		yelp-add-mime-type-to-desktop.patch
URL:		http://live.gnome.org/Yelp
License:	GPLv2+
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	gnome-doc-utils >= %{req_gnome_doc_utils_version}
Requires:	man
BuildRequires:	gettext
BuildRequires:	webkitgtk-devel
BuildRequires:	gtk+2-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  libGConf2-devel
BuildRequires:	startup-notification-devel
BuildRequires:	libbzip2-devel
BuildRequires:	rarian-devel
BuildRequires:	liblzma-devel
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils >= %{req_gnome_doc_utils_version}
BuildRequires:	libxslt-devel texinfo
BuildRequires:	desktop-file-utils
BuildRequires:  gnome-common
BuildRequires:  gettext-devel

%description
Help browser for GNOME 2 which supports docbook documents, info and man.

%prep
%setup -q
%patch2 -p1 -b .add-mime-handling~
#%patch4 -p1 -b .title~
%patch5 -p1 -b .xz~

# yelp-missing-slash.patch
%patch6 -p1 -b .misslash

# yelp-add-mime-type-to-desktop.patch
%patch7 -p1 -b .add-mime-type-to-desktop

#ensure schema is recreated correctly
rm -f data/yelp.schemas

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
    --with-search=basic \
    --enable-debug

%make

%install
rm -rf %{buildroot}

%makeinstall_std

desktop-file-install \
  --remove-category="Application" \
  --add-only-show-in="GNOME" \
  --add-category="Documentation" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/gnome-help.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%preun
%preun_uninstall_gconf_schemas %name

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/%name.schemas
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/yelp
%{_datadir}/pixmaps/*
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Thu Aug 11 2011 Alexander Barakin <abarakin@mandriva.org> 2.30.2-6mdv2011.0
+ Revision: 693943
- missing slash and correct mime-type
  bug: https://qa.mandriva.com/show_bug.cgi?id=63897

* Mon Jun 20 2011 Funda Wang <fwang@mandriva.org> 2.30.2-5
+ Revision: 686111
- rebuild for new webkit

* Sat May 07 2011 Oden Eriksson <oeriksson@mandriva.com> 2.30.2-4
+ Revision: 671942
- mass rebuild

* Sat Nov 27 2010 Funda Wang <fwang@mandriva.org> 2.30.2-3mdv2011.0
+ Revision: 601636
- rebuild for new liblzma

* Sun Oct 24 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.30.2-2mdv2011.0
+ Revision: 587822
- drop scriptlets for ancient releases
- add xz support (P5)

* Fri Oct 08 2010 Funda Wang <fwang@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 584131
- New version 2.30.2 (with webkit backend branch merged)

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 2.30.1-5mdv2011.0
+ Revision: 561170
- rebuild for xulrunner 1.9.2.8

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-4mdv2010.1
+ Revision: 549370
- rebuild with latest xulrunner

* Mon May 10 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-3mdv2010.1
+ Revision: 544365
- Force schema rebuild (fixes gettext_domain error at install time)

* Fri May 07 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 543403
- fix buildrequirements
- Remove obsolete dependencies on libgnome2

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539203
- update to new version 2.30.1

* Mon Apr 26 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.0-3mdv2010.1
+ Revision: 538891
- Disable beagle support

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 2.30.0-2mdv2010.1
+ Revision: 531045
- rebuild

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528900
- update to new version 2.30.0

* Wed Mar 24 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-2mdv2010.1
+ Revision: 527109
- rebuild for new xulrunner

* Mon Feb 22 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 509423
- update to new version 2.29.5

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 502717
- update to new version 2.29.4

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 496489
- update to new version 2.29.3

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.2-1mdv2010.1
+ Revision: 489993
- update to new version 2.29.2

* Sun Jan 10 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-2mdv2010.1
+ Revision: 488682
- rebuild for new xulrunner

* Wed Jan 06 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 486569
- new version
- bump gnome-doc-utils dep

* Wed Dec 16 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-2mdv2010.1
+ Revision: 479456
- rebuild for new xulrunner

* Sat Nov 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 467787
- update to new version 2.28.1

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 2.28.0-2mdv2010.1
+ Revision: 460638
- rebuild for new xulrunner

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446796
- update to new version 2.28.0

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-2mdv2010.0
+ Revision: 439598
- rebuild for new xulrunner

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 437432
- new version
- drop patch 1

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 420751
- update to new version 2.27.4

* Wed Aug 19 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-3mdv2010.0
+ Revision: 418007
- fix build with xulrunner 1.9.1.2

* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-2mdv2010.0
+ Revision: 409369
- rebuild for new xulrunner

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 401406
- update to new version 2.27.3

* Fri Jul 24 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-2mdv2010.0
+ Revision: 399186
- rebuild for new xulrunner

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 390504
- bump gnome-doc-utils dep
- update to new version 2.27.2

* Tue Jun 23 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-2mdv2010.0
+ Revision: 388672
- fix build deps to use the right LZMA lib

* Mon Jun 15 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 385968
- new version
- drop patch 0
- patch to fix build
- update build deps

* Sat Jun 13 2009 Funda Wang <fwang@mandriva.org> 2.26.0-4mdv2010.0
+ Revision: 385723
- rebuild for new xulrunner

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 2.26.0-3mdv2010.0
+ Revision: 369565
- rebuild for new xulrunner

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 2.26.0-2mdv2009.1
+ Revision: 361846
- rebuild for xulrunner 1.9.0.8

* Tue Mar 17 2009 Funda Wang <fwang@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356448
- New version 2.26.0

* Thu Mar 12 2009 Götz Waschk <waschk@mandriva.org> 2.25.1-2mdv2009.1
+ Revision: 354135
- rebuild for new xulrunner

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 346898
- new version
- bump deps
- drop patch 0

* Wed Feb 04 2009 Funda Wang <fwang@mandriva.org> 2.24.0-7mdv2009.1
+ Revision: 337420
- really rebuild

* Wed Feb 04 2009 Funda Wang <fwang@mandriva.org> 2.24.0-6mdv2009.1
+ Revision: 337277
- rebuild for new xulrunner

* Wed Dec 24 2008 Funda Wang <fwang@mandriva.org> 2.24.0-5mdv2009.1
+ Revision: 318250
- fix spec
- rebuild for new xulrunner

* Fri Nov 14 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-4mdv2009.1
+ Revision: 303095
- rebuild for new xulrunner

* Mon Sep 29 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-3mdv2009.0
+ Revision: 289236
- rebuild for new xulrunner

* Fri Sep 26 2008 Tiago Salem <salem@mandriva.com.br> 2.24.0-2mdv2009.0
+ Revision: 288721
- add strict version requires to xulrunner

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286842
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278583
- new version

* Fri Aug 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.2-1mdv2009.0
+ Revision: 275023
- fix build deps
- new version
- drop patch 5

* Wed Aug 20 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.1-5mdv2009.0
+ Revision: 274359
- Patch5 (SVN): fix security vulnerability MDVA-2008-175

* Wed Jul 30 2008 Götz Waschk <waschk@mandriva.org> 2.23.1-4mdv2009.0
+ Revision: 254908
- build with xulrunner

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.23.1-3mdv2009.0
+ Revision: 236378
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 2.23.1-2mdv2009.0
+ Revision: 231267
- Rebuild for firefox 2.0.0.15

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.1-1mdv2009.0
+ Revision: 231169
- fix buildrequires
- new version
- update license
- drop patch 0

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat May 17 2008 Funda Wang <fwang@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 208308
- update to new version 2.22.1

* Wed Mar 26 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-2mdv2008.1
+ Revision: 190447
- rebuild for firefox 2.0.0.13

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183054
- new version

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 2.21.90-2mdv2008.1
+ Revision: 164646
- rebuild for new FF

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159521
- new version

  + Frederic Crozat <fcrozat@mandriva.com>
    - Remove patch merged upsteam

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 146376
- new version
- drop patch 7

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-3mdv2008.1
+ Revision: 120715
- build with new libbeagle (bug #36139)
- rebuild for new libbeagle

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild for latest firefox

* Tue Dec 04 2007 Thierry Vignaud <tv@mandriva.org> 2.21.1-2mdv2008.1
+ Revision: 115412
- rebuild for new libbeagle

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 115206
- new version
- drop patch 5

* Mon Nov 05 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-5mdv2008.1
+ Revision: 106065
- rebuild for new firefox

* Fri Oct 19 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-4mdv2008.1
+ Revision: 100430
- rebuild for new firefox

* Thu Oct 18 2007 Funda Wang <fwang@mandriva.org> 2.20.0-3mdv2008.1
+ Revision: 99847
- Rebuild against new FF

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.20.0-2mdv2008.0
+ Revision: 90391
- rebuild

  + Götz Waschk <waschk@mandriva.org>
    - new version

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - update url

* Mon Aug 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.90-2mdv2008.0
+ Revision: 71854
- Fix BuildRequires
- Fix lzma patch

  + Pascal Terjan <pterjan@mandriva.org>
    - Fix a typo in LZMA patch

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add lzma support (P7, fixes #32579, man pages breaks though :()

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63170
- new version
- rediff patch 5
- drop patch 7

* Wed Aug 08 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.1-3mdv2008.0
+ Revision: 60370
- Patch7 (SVN): fix ghelp: uri handling (Mdv bug #32401)

* Fri Aug 03 2007 Funda Wang <fwang@mandriva.org> 2.19.1-2mdv2008.0
+ Revision: 58415
- Add patch to fix langs not decleared bug
- Add patch to fix bad comment style(c++)
- rebuild for ff 2.0.0.6

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add buildrequires on librarian-devel
    - drop patch 5
    - pass option with-gecko=firefox
    - drop old menu style
    - drop X-MandrivaLinux category
    - new version

* Fri Jun 15 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-2mdv2008.0
+ Revision: 39890
- rebuild for new ff

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14090
- new version

